Subject: RFC 4377 errata

From: Alfred Hönes <[email-masked]>
Date: Sat, 12 Aug 2006 18:08:21 +0200 (MESZ)

Hello,
reading the recently published RFC 4377 authored by you
and many co-authors, I found a few textual issues that
perhaps should be addressed by an RFC Errata Note.

Because these issues seem to be quite straightforward,
I only have addressed this message to you and CC'ed it
to the RFC-Ed., to avoid a mail explosion.
Please feel free to contact your co-authors, or even the
mailing list, if it deems appropriate to you, anyway.

I use change bars ('|' in column 1) to mark issues/changes.
Proposed (changed) text is re-adjusted to conform with RFC
formatting rules.

(1)  Section 2.1 -- word omission

Near the bottom of page 3, RFC 4377 says:

   One-hop Delay:             The fixed delay experienced by a packet to
                              reach the next hop resulting from the of
                              the propagation latency, the transmission
                              latency, and the processing latency.

It should say:

   One-hop Delay:             The fixed delay experienced by a packet to
|                             reach the next hop resulting from the sum
                              of the propagation latency, the
                              transmission latency, and the processing
                              latency.

(2)  Section 4.1 -- word omission

The second paragraph of Section 4.1, on page 5, says:

   Furthermore, the automation of path liveliness is desired in cases
   where large numbers of LSPs might be tested.  [...]

It should perhaps say,
either (2a):

|  Furthermore, the automation of path liveliness detection is desired
   in cases where large numbers of LSPs might be tested.  [...]

or (2b):

|  Furthermore, the automation of path liveliness testing is desired in
   cases where large numbers of LSPs might be tested.  [...]

Thomas, please select the alternative you prefer.

(3)  Section 4.11.1 -- wrong wording, and a missing article

Section 4.11.1, on page 11, contains the bullets:

      (1) At an ingress LSR, accounting of traffic through LSPs that
|         begin at each egress in question.
          ^^^^^

      (2) At an intermediate LSR, accounting of traffic through LSPs for
          each pair of ingress to egress.

            v
|     (3) At egress LSR, accounting of traffic through LSPs for each
          ingress.

The RFC should say instead:

      (1) At an ingress LSR, accounting of traffic through LSPs that
|         end at each egress in question.

      (2) At an intermediate LSR, accounting of traffic through LSPs for
          each pair of ingress to egress.

|     (3) At an egress LSR, accounting of traffic through LSPs for each
          ingress.

Please comment, or directly acknowledge to the RFC-Ed. the items
above for publication in an RFC Errata Note.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+